#!/usr/bin/perl
use Socket;
use IO::Socket;
use Getopt::Long;
#use strict;
require '../jcode.pl';

if(@ARGV != 2){
    print STDERR "usage: $0 server ID\n";
    exit(1);
}else{
    $serv = shift;
    $ID   = shift;
}

my $port = 5963;
my %dummy;

$command =
    "set version 1 \n".
    "set id $ID \n".
    "set name dummy \n".
    "set areaname nowhere \n".
    "set gameservername Iris \n".
    "set hp 200 \n".
    "set hpmax 200 \n".
    "set sp 94 \n".
    "set spmax 94 \n".
    "set baselv 17 \n".
    "set joblv 12 \n".
    "set exp 400 \n".
    "set expmax 1120 \n".
    "set jobexp 151 \n".
    "set jobexpmax 699 \n".
    "set expperhour 0 \n".
    "set classname  \n".
    "set weight 698 \n".
    "set weightmax 2760 \n".
    "set text testing \n";
&jcode::convert(\$command,'sjis','euc');
$command =~ tr/ \n/\001\002/;
    
$server = IO::Socket::INET->new(PeerHost => $serv,
				PeerPort => $port,
				Proto    => 'tcp' );
$server->autoflush(1);

while(1){
    $server->printflush($command);

    do{
	$len = $server->sysread($buf,8192);
#	$buf =~ tr/\001\002/ ;/;
	$buf =~ s/([\x00-\x09\x0B-\x1F\xFE-\xFF])/sprintf("{%02X}",unpack("C", $1))/eg;
	&jcode::convert(\$buf,'euc','sjis');
	print $buf;
    }while($len == 8192);
    print "\n";
    sleep(1);
}
